import com.ibm.websphere.rest.RESTUtils;
import com.ibm.websphere.rest.RenderUtils;
import zero.json.Json;


def _ksAdaptIdNames(m) {
    def rv = m.clone()

    if (rv.containsKey("domainsid")) {
        rv["domainid"] = rv.domainsid
        rv.remove("domainsid")
    }

    if (rv.containsKey("keystoresid")) {
        rv["keystoreid"] = rv.keystoresid
        rv.remove("keystoresid")
    }
    return rv;
}

def _ksUndaptIdNames(m) {
    def rv = m.clone()

    if (rv.containsKey("domainid")) {
        rv["domainsid"] = rv.domainid
        rv.remove("domainid")
    }

    if (rv.containsKey("keystoreid")) {
        rv["keystoresid"] = rv.keystoreid
        rv.remove("keystoreid")
    }
    return rv;
}

def onList() {
    def dss = getDomainskeystores(["domainid": request.params.domainsid[].toInteger(), 
                                 "keystoreid": request.params.keystoresid[].toInteger()], false)
    
    def rv = []

    dss.each { 
        rv << _ksUndaptIdNames(it)
    }

    request.json.output = rv
    request.view = com.ibm.websphere.rest.RenderUtils.getRequestedView(); 
    render()
}

def onRetrieve() {
	 def id = request.params.domainskeystoresId[].toInteger();

    request.json.output = _ksUndaptIdNames(getDomainskeystore(id))
    request.view = com.ibm.websphere.rest.RenderUtils.getRequestedView(); 
    render()
}


def onCreate() {
    def req = Json.decode(request.input[])

    def matches = getDomainskeystores([domainid: req.domainsid.toInteger()], false)

    matches.each {
        deleteDomainskeystore(it.id)
    }
    createDomainskeystore(_ksAdaptIdNames(req), 1)

    request.status = 201
}


def onDelete() {
    def idpair = request.params.domainskeystoresId[].tokenize("-")
    
    def domain = idpair[0].toInteger()
    def keystore = idpair[1].toInteger()
    def matches = getDomainskeystores([domainid: domain, keystoreid: keystore], false)

    matches.each {
        deleteDomainskeystore(it.id)
        invalidateSession(it.id)
    }


}

