import com.ibm.websphere.rest.RESTUtils;
import com.ibm.websphere.rest.RenderUtils;
import zero.json.Json;


def _dsAdaptIdNames(m) {
    def rv = m.clone()

    if (rv.containsKey("domainsid")) {
        rv["domainid"] = rv.domainsid
        rv.remove("domainsid")
    }

    if (rv.containsKey("serversid")) {
        rv["serverid"] = rv.serversid
        rv.remove("serversid")
    }
    return rv;
}

def _dsUndaptIdNames(m) {
    def rv = m.clone()

    if (rv.containsKey("domainid")) {
        rv["domainsid"] = rv.domainid
        rv.remove("domainid")
    }

    if (rv.containsKey("serverid")) {
        rv["serversid"] = rv.serversid
        rv.remove("serverid")
    }
    return rv;
}

def onList() {
    def dss = getDomainsservers(["domainid": request.params.domainsid[].toInteger(), 
                                 "serverid": request.params.serversid[].toInteger()], false)
    
    def rv = []

    dss.each { 
        rv << _dsUndaptIdNames(it)
    }

    request.json.output = rv
    request.view = com.ibm.websphere.rest.RenderUtils.getRequestedView(); 
    render()
}

def onRetrieve() {
	 def id = request.params.domainsserversId[].toInteger();

    request.json.output = _dsUndaptIdNames(getDomainsserver(id))
    request.view = com.ibm.websphere.rest.RenderUtils.getRequestedView(); 
    render()
}


def onCreate() {
    def req = Json.decode(request.input[])

    createDomainsserver(_dsAdaptIdNames(req), 1)

    request.status = 201
}


def onDelete() {
    def idpair = request.params.domainsserversId[].tokenize("-")
    
    def domain = idpair[0].toInteger()
    def server = idpair[1].toInteger()
    def matches = getDomainsservers([domainid: domain, serverid: server], false)

    matches.each {
        deleteDomainsserver(it.id)
        invalidateSession(it.id)
    }


}
