/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

package groovy.rainmaker.acl;
import groovy.rainmaker.core.*;

logger.FINE { "Creating ACL entry for a created default cloud with Everyone group having READ permission (id: ${event.id[]})..." };


Thread t = new Thread();
def count = 0;
def notDone = true;
//adding this to enable cases where we need to create objects internally without a user session calling create
//default the owner to 1 first and reset it to user session calling create
def owner = 1;
if(event?.session[]) {
  owner = event.session[].id;
}
while (count < 5 && notDone) {
    // make sure ACL for owner is created first
    if (getAccessControl("clouds", event.id[], owner, false)) {
        // Everyone group having READ permission to the default clouds
        createAccessControl("clouds", event.id[], 1, true, PermissionsACL.READ);
        notDone = false;
    } else  {
        // Sleep to give a buffer of time for ACL created for the ownerid first
        t.sleep(1000);
    }
    count++;
}

logger.FINE { 'The resource ACL was created.' };
