package groovy.rainmaker.appliance;

import com.ibm.websphere.rainmaker.logging.CleanStackTrace;

import com.ibm.bedrock.BedrockUtils;
import com.ibm.bedrock.user.UserUtils;

def applianceLogin(username, password) {
	if(BedrockUtils.isBedrock()){
		return UserUtils.authenticateUser(username, password);
	}else{
		if(username == 'xcadmin'){
			username = 'cbadmin'
		}
		if(password == 'xcadmin'){
			password = 'cbadmin'
		}
		return applianceLoginDeprecated(username, password);
	}
}
def applianceLoginDeprecated(username, password) {
	// call get-status with this username/password
	try {
    	executeApplianceRequestWithUser([
             name: 'soma:get-status', 
		        content: [
		            class: 'MemoryStatus'
		        ]
        ], username, password);
    } catch (Throwable t) {
        logger.FINE { CleanStackTrace.cleanStackTrace(t) };
        return false;
    }
    return true;
}

def applianceResetPassword(username) {
	try {
    	return executeApplianceRequest([
            name: 'soma:do-action', 
            content: [:], 
            children: [
                [
                    name: 'UserForcePasswordChange', 
                    content: [:], 
                    children: [
                        [
                            name: 'User', 
                            content: "${username}"                            
                        ]
                    ]
                ]
            ]
        ]);
    } catch (Throwable t) {
        logger.FINE { CleanStackTrace.cleanStackTrace(t) };
        return false;
    }
    return true;	
}

def applianceChangePassword(username, newPassword) {
	if(BedrockUtils.isBedrock()){
		return UserUtils.changePassword(username, newPassword);
	}else{
		return applianceChangePasswordDeprecated(username, newPassword);
	}
}

def applianceChangePasswordDeprecated(username, newPassword) {
	try {
    	def result = executeApplianceRequest([
            name: 'soma:modify-config', 
            content: [:], 
            children: [
                [
                    name: 'User', 
                    content: [name: "${username}"], 
                    children: [                        
                        [
                         	name: 'Password', 
                         	content: "${newPassword}"                            
                        ]
                    ]
                ]
            ]
        ]);
    	if(result.result.equals("OK")) {
    		return true;
    	}    	
    } catch (Throwable t) {
        logger.FINE { CleanStackTrace.cleanStackTrace(t) };
    }
    return false;
}