/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

package groovy.rainmaker.appliance;

import com.ibm.websphere.rainmaker.appliance.TimeZoneUtils;
import com.ibm.bedrock.BedrockUtils;

// set the appropriate server locale
invokeMethod("groovy/rainmaker/appliance/SetServerLocale.groovy", "initializeLocale", null);

// Must update the location of the SOMA interface and instruct sMash to disable trust 
// verification (since cert domain won't match) when running on a dev client. also use 
// a user ID with only read privileges.

if (onAppliance()) {
	// set the appropriate time zone for the JVM
	if(!BedrockUtils.isBedrock()){
		com.ibm.websphere.rainmaker.appliance.TimeZoneUtils.setTimeZone(getTimeZone().localtimezone);
	}
}else{
    def somaURL = "https://rmdp06.rtp.raleigh.ibm.com:5550/service/mgmt/current";
    
	logger.INFO { "This build is not running on an appliance." };
    logger.INFO { "SOMA location is ${somaURL}." };
    
	zput('/config/rainmaker/dpURL', somaURL);
	zput('/config/connection/https/dpHttpsConfig#disableTrustVerification', 'true');	
	zput('/config/rainmaker/dpResolvConfLocation', '/etc/resolv.conf.workstation'); // avoid hosing developer workstations. ;)
	
	logger.INFO { 'The serial console is disabled.' };
}