/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

def onList()
{ 
    try
    {
        def originalCount = request.params.count[].toInteger();
        
        def filters = [
            count: originalCount 
        ];
        
        def relatedType = request.params.relatedType[];
        def relatedID = request.params.relatedID[];
        def acls = getAccessControlList(relatedType, relatedID);  
    
        def results = [];
        
        //
        // add enough users to fill the list, filter out the users that already have acls
        //
   		def existingUsers = [];
        acls.each { acl ->
    		if ( !acl.isgroup ) {
    			existingUsers << acl.userid;
    		}
        }
        def users = getUsers(filters);
        
        // need to manually remove all system users
        _users = [];
        users.each { user ->
        	if ( !existingUsers.contains(user.id)) {
                user.isgroup = false;
        		_users << user;
        	}
        }
        
        results += _users;
                
        //
        // if there's any room left over, add groups
        //
        if (filters.count)
        {
            filters = [:]
       		def existingGroups = [];
    		filters.compare = "neq";
            acls.each { acl ->
        		if ( acl.isgroup ) {
        			existingGroups << acl.userid;
        		}
            }
    		filters.id = existingGroups;
            def groups = getGroups(filters);
            
            groups.each {
               it.isgroup = true;
            }
            
            results += groups;
        }
        request.view = com.ibm.websphere.rest.RenderUtils.getRequestedView();
        request.json.output = results;
        render();
    }
    
    catch (Throwable t)
    {
        return com.ibm.websphere.rest.RenderUtils.renderError(500, 'RM08000', t);
    }
}
