/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

import zero.json.Json;

import com.ibm.websphere.users.Permissions;
import com.ibm.websphere.rainmaker.logging.MessageUtils;

def onList()
{
    if (!user.session[].permissions.contains(Permissions.APPLIANCE_ADMIN))
        return com.ibm.websphere.rest.RenderUtils.renderError(403, 'RM08008');
    
    request.view = com.ibm.websphere.rest.RenderUtils.getRequestedView();
    def allowAdminReset = false;
    if(onAppliance()){
    	allowAdminReset = new File("/drouter/local/allowAdminReset").exists();
    }
    request.json.output = allowAdminReset;
    render();
}

def onPutCollection()
{
    if (!user.session[].permissions.contains(Permissions.APPLIANCE_ADMIN))
        return com.ibm.websphere.rest.RenderUtils.renderError(403, 'RM08008');
    
    def allowReset = null;
    
    try
    {
        allowReset = Json.decode(request.input[]).toBoolean();
    }
    
    catch (Throwable t)
    {
        return com.ibm.websphere.rest.RenderUtils.renderError(400, 'RM08002', t);
    }
    
    def allowAdminReset = false;
    if(onAppliance()){
    	allowAdminReset = new File("/drouter/local/allowAdminReset")
        if(allowReset){
        	allowAdminReset.createNewFile()
        	zput(config.rainmaker.defaultPersistentZone[] + "/allowAdminReset", true )
        	logger.INFO { MessageUtils.message('RM08068', []) };
        }
        else{
        	allowAdminReset.delete();
        	zdelete(config.rainmaker.defaultPersistentZone[] + "/allowAdminReset" )
        	logger.INFO { MessageUtils.message('RM08069', []) };
        }
    }

    request.status = 204;
        
}
