/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

import zero.json.Json;

import com.ibm.websphere.users.Permissions;

def onList()
{
    if (!user.session[].permissions.contains(Permissions.APPLIANCE_ADMIN))
        return com.ibm.websphere.rest.RenderUtils.renderError(403, 'RM08008');
    
    request.view = com.ibm.websphere.rest.RenderUtils.getRequestedView();
    request.json.output = storage.rainmaker.mail.sender[];
    render();
}

def onPutCollection()
{
    if (!user.session[].permissions.contains(Permissions.APPLIANCE_ADMIN))
        return com.ibm.websphere.rest.RenderUtils.renderError(403, 'RM08008');
    
    def address = null;
    
    try
    {
        address = Json.decode(request.input[]);
    }
    
    catch (Throwable t)
    {
        return com.ibm.websphere.rest.RenderUtils.renderError(400, 'RM08002', t);
    }
    
    storage.rainmaker.mail.sender = address.trim().length() > 0 ? address : null;
    request.status = 204;
    
    logger.INFO { "Default reply-to address is now ${storage.rainmaker.mail.sender[]}." };
}
