/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

import zero.json.Json;

import com.ibm.websphere.users.Permissions;
import com.ibm.websphere.rainmaker.logging.MessageUtils;

def onList()
{
    if (!user.session[].permissions.contains(Permissions.APPLIANCE_ADMIN))
        return com.ibm.websphere.rest.RenderUtils.renderError(403, 'RM08008');
    
    request.view = com.ibm.websphere.rest.RenderUtils.getRequestedView();
    request.json.output = storage.rainmaker.allowRegistration[];
    render();
}

def onPutCollection()
{
    if (!user.session[].permissions.contains(Permissions.APPLIANCE_ADMIN))
        return com.ibm.websphere.rest.RenderUtils.renderError(403, 'RM08008');
    
    def allowRegistration = null;
    
    try
    {
        allowRegistration = Json.decode(request.input[]).toBoolean();
    }
    
    catch (Throwable t)
    {
        return com.ibm.websphere.rest.RenderUtils.renderError(400, 'RM08002', t);
    }
    
    //storage.rainmaker.allowRegistration = allowRegistration;
    zput(config.rainmaker.defaultPersistentZone[] + "/rainmaker/allowRegistration", allowRegistration )
    
    
    request.status = 204;
    
    if (allowRegistration)
        logger.INFO { MessageUtils.message('RM08066', []) };
        
    else
        logger.INFO { MessageUtils.message('RM08067', []) };
}
