/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

import zero.json.Json;

def onList()
{
    def userID = com.ibm.websphere.rest.RESTUtils.getRequestedUserID();
    
    if (userID != user.session[].id)
        return com.ibm.websphere.rest.RenderUtils.renderError(403, 'RM08008');
    
    request.view = com.ibm.websphere.rest.RenderUtils.getRequestedView();
    request.json.output = user.session[].settings;
    render();
}

def onUpdate()
{
    def userID = com.ibm.websphere.rest.RESTUtils.getRequestedUserID();
    
    if (userID != user.session[].id)
        return com.ibm.websphere.rest.RenderUtils.renderError(403, 'RM08008');
    
    def setting = request.params.settingsId[];
    def value = null;
    
    try
    {
        value = Json.decode(request.input[]);
    }
    
    catch (Throwable t)
    {
        return com.ibm.websphere.rest.RenderUtils.renderError(400, 'RM08002', t);
    }
    
    def success = updateUserSetting(userID, setting, value);
    
    if (success)
        user.session[].settings = getUserSettings(userID);
    
    else
        return com.ibm.websphere.rest.RenderUtils.renderError(404, 'RM08001');
    
    request.status = 204;
}
