/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

//
// This REST API uses the following URL structure:
//
// GET /resources/testLDAPUser/some.ldap.user.name
//
//
import com.ibm.websphere.rainmaker.users.RainmakerLdapService;
import com.ibm.websphere.rest.RenderUtils;
import com.ibm.websphere.rainmaker.logging.MessageUtils;


def onRetrieve()
{
    def userName = request.params.testLDAPUserId[];
    def userDN = null;
    def exMsg = null;
    def exShortMsg = null;

    def success = true;
    try {
        userDN = RainmakerLdapService._findUserDnByUserName(userName);
        if (userDN == null) {
            success = false;
        }
    } catch (Exception ex) {
      exMsg = ex.toString();
      exShortMsg = ex.getMessage();
      success = false;
    }

    if (success) {
    	request.writer[].write("<div id='results'><span>${MessageUtils.message(user.lang[], 'RM02036', [userDN])}</span></div>");
    } else {
       if (exShortMsg) {
           if (exShortMsg.startsWith("RM02")) {
               return RenderUtils.renderError (400, exShortMsg);
           }
           return RenderUtils.renderError (400, 'RM02033', new Exception(MessageUtils.message(user.lang[], 'RM02033', [exMsg])));
       } else if (userDN == null) {
           def msg = MessageUtils.message(user.lang[], 'RM02034', [userName]);
           return RenderUtils.renderError (400, 'RM02033', new Exception(MessageUtils.message(user.lang[], 'RM02033', [msg])));
       }
    }
}
