/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/
import zero.json.Json;

import groovy.rainmaker.logging.*;
import groovy.rainmaker.constants.*;
import com.ibm.websphere.rainmaker.auditing.*;

import java.util.*;

def onList() 
{

    def filter = [:];
    
    zlist('/request/params').each 
    {
        def parts = it.tokenize('/');
        if(parts.size() > 2) 
        {
            def name = parts[2];
            filter[name] = zget(it);
        }
    }
    
    def summary = false;
    if(filter.type == "summary") 
    {
    	summary = true;
    	filter.remove("type");
    }
    
    def align = false;
    if(filter.align == "true")
    {
    	align = true;
    	filter.remove("align");
    }
    
    if(filter.object == null)
    {
    	/*
    	 * If object is not specified, it will return a empty JSON
    	 * instead of throwing an exception.
    	 */
    	request.view = "JSON";
        request.json.output = [];
        render();
        return;
    }
    
    def filtered  = AuditDataHelper.getAuditData(filter);
    
    def ret = generateUtilizationData(filtered, filter, summary, align);
    
    request.view = "JSON";
    request.json.output = ret;
    render();
}


