/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

package groovy.rainmaker.rest;

import zero.core.security.LoginService;
import zero.core.security.TokenService;

def id = user.session[].id.toLong();
def name = user.session[].username;
def invalid = storage.rainmaker.sessions.invalid[];

logger.FINEST { "Invalid session data includes the following user IDs: ${invalid}" }

if (!invalid.contains(id))
{
    logger.FINEST { "User ${name} has a valid session." }
    return;
}

logger.FINE { "Account data has been changed for user ${name} - revalidating session." }

invalid.remove(id);
storage.rainmaker.sessions.invalid = invalid;

if (!getUserByName(name))
{
    logger.FINE { "User ${name} no longer exists - logging out." }
    
    TokenService.setCacheControlHeader();
    LoginService.logout();
    zdelete('/user/session');
    
    request.status = 302;
    request.headers.out.Location = '/';
}

else
{
    logger.FINE { "Reloading permissions and roles for user ${name}." }
    def session = user.session[];
    session.roles = getUserRoles(session.id);
    user.session = session;
}

logger.FINEST { 'Finished evaluating invalid session data.' }
