/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

package groovy.rainmaker.ui;

import com.ibm.websphere.acl.PermissionsACL;
import groovy.rainmaker.constants.Status;
import com.ibm.websphere.users.Permissions;
import com.ibm.websphere.rainmaker.logging.MessageUtils;

/**
 *
 * @return A relative path for the JavaScript file containing messages for the client's locale. 
 *         If the client's locale is not supported, the default is the system's locale.
 *
 */
def getMessageFile()
{
    def local = 'public/javascript/messages';
    def remote = '/javascript/messages';
    def script = null;
    
    request.locales[].each {
        def lang = MessageUtils.getLanguageFromLocale(it);
        def file = getVFile("${local}/${lang}.js", null);
        
        //
        // only save the path if we haven't found a match yet (the client may accept 
        // more than one locale)
        //
        if (script == null && file != null)
            script = "${remote}/${lang}.js";
    }
    
    return script ?: "${remote}/${getLanguageFromLocale(Locale.getDefault())}.js";
}
