/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

import com.ibm.websphere.acl.PermissionsACL;
import com.ibm.websphere.rainmaker.logging.MessageUtils;

if (request.status == 204)
    return;

def session = user.session[];

def entry = request.params.aclId[].tokenize('-');
def isGroup = entry[0] == 'group';
def id = entry[1].toInteger();

def permissions = request.json.output[];
def isUserAdmin = true; // TODO session.roles.contains(PermissionsACL.APPLIANCE_ADMIN);

def resourceType = request.params.render.resourceType[];
def resourceID = request.params.render.resourceID[];

println "<span id='acl-entry-${resourceID}-${isGroup ? 'group' : 'user'}-${id}'>";

if (isUserAdmin)
    println renderBelongsToLink((isGroup ? 'groupid' : 'ownerid'), id);
 
else
    println renderText(getResourceField((isGroup ? 'groups' : 'users'), [id: id], 'name', String), "acl-${isGroup ? 'group' : 'user'}");
                 
            
println renderPermissionLink(id, permissions, session.id, isGroup);

if (session.id != id || isGroup)
    println "<span class='default'>[<a href=\"javascript:document.dashboard.details.removeFromACL('${resourceType}', ${resourceID}, ${id}, ${isGroup});\" title=\"${MessageUtils.message(user.lang[], 'RM10113', [])}\">${MessageUtils.message(user.lang[], 'RM10009', [])}</a>]</span>";

println '<br/><br/></span>';
