/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

// NLS_CHARSET=UTF-8
// FRA translators: Edit RM11059 to be " :" to add a space before colons
var messages = {
    'RM11000': "Search...", 
    'RM11001': "Are you sure you want to delete? This operation cannot be undone.", 
    'RM11002': "Add more...", 
    'RM11003': "Incomplete", 
    'RM11004': "Complete", 
    'RM11005': "Fill in the required values for this part of the pattern.", 
    'RM11006': "Select an item from the list for details and options", 
    'RM11007': "Maximize", 
    'RM11008': "Restore",
    'RM11009': "Are you sure you want to make this pattern read-only? This operation cannot be undone.", 
    'RM11010': "Registration is complete. You can now <a href=\"/login/\">login</a>.", 
    'RM11011': "Your registration could not be completed.", 
    'RM11012': "Virtual system name", 
    'RM11013': "Your new password has been sent via email.", 
    'RM11014': "Administration console",
    'RM11015': "Are you sure you want to make this virtual image read-only? This operation cannot be undone.", 
    'RM11016': "Are you sure you want to deploy this virtual image? This operation cannot be undone.", 
    'RM11017': "Are you sure you want to capture this virtual image? This operation cannot be undone.",
    'RM11018': "IP addresses must be in dotted-decimal notation.",
    'RM11019': "All IP addresses must be within the subnet.",
    'RM11020': "start",
    'RM11021': "end", 
    'RM11022': "Cancel",
    'RM11023': "name", 
    'RM11024': "value", 
    'RM11025': "You must enter a value", 
    'RM11026': "The value must be alpha-numeric", 
    'RM11027': "You must enter a number", 
    'RM11028': "You entered an invalid address", 
    'RM11029': "You entered an invalid URI", 
    'RM11030': "You entered an invalid version",
    'RM11031': "You must enter a user name",
    'RM11032': "You must enter your full name",
    'RM11033': "Processing your request...",
    'RM11034': "Do you accept the certificate for this hypervisor?",
    'RM11035': "Are you sure you want to remove the certificate for this hypervisor?", 
    'RM11036': "Sort...",
    'RM11037': "These resources can only be sorted by name",
    'RM11038': "Sort by name",
    'RM11039': "Sort by status",
    'RM11040': "New",
    'RM11041': "This will remove the hypervisor and its configuration from the system completely, are you sure you want to remove? This operation cannot be undone.",
    'RM11042': "Schedule deployment", 
    'RM11043': "Start now", 
    'RM11044': "Start later...",
    'RM11045': "Run indefinitely",
    'RM11046': "Run until...",
    'RM11047': "Configure virtual parts",
    'RM11048': "Unable to configure pattern.",
    'RM11049': "There are no advanced configuration options suitable for this pattern.",
    'RM11050': "Copy these settings for all parts of this type",
    'RM11051': "Service later...",
    'RM11052': "Move to service level",
    'RM11053': "Apply emergency fixes",
    'RM11054': "Describe your service request.",
    'RM11055': "Select your service fixes.",
    'RM11056': "A snapshot will be taken before applying service.",
    'RM11057': "Schedule service",
    'RM11058': "Service now",
    'RM11059': ":",
    'RM11060': "Value cannot be changed at deployment. Click to unlock.",
    'RM11061': "Value can be changed at deployment. Click to lock.",
    'RM11062': "Value cannot be changed because the author has locked it or this is a read-only view.",
    'RM11063': "Parts must be dropped onto the canvas.",
    'RM11064': "Script packages must be dropped onto a part in the canvas.",
    'RM11065': "Unable to associate pattern with virtual image.", 
    'RM11066': "Are you sure you want to make this script package read-only? This operation cannot be undone.", 
    'RM11067': "Your deletion request is being processed - this may take a while.",
    'RM11068': "The backup file could not be found - make sure your credentials are valid and try again.",
    'RM11069': "Your restore request is being processed - this may take a while.", 
    'RM11070': "The restore process could not be started - make sure your credentials are valid and try again.",
    'RM11071': "Your backup has been scheduled. You can view it in <a href='/dashboard/appliance/tasks'>Tasks</a>.",
    'RM11072': "True", 
    'RM11073': "False",
    'RM11074': "The hypervisor was successfully added to the subnet.", 
    'RM11075': "The hypervisor could not be added to the subnet - see the trace file for details.",
    'RM11076': "Failed to create snapshot.",
    'RM11077': "Failed to restore snapshot.",
    'RM11078': "Failed to delete snapshot.",
    'RM11079': "Snapshot successfully created",
    'RM11080': "Snapshot successfully restored",
    'RM11081': "Snapshot successfully deleted",
    'RM11082': "Information is required",
    'RM11083': "The following options are available for this pattern. The defaults are common choices for topology patterns like this one, and clicking OK will modify your pattern.",
    'RM11084': "When do you want to restart?",
    'RM11085': "When do you want to shut down?",
    'RM11086': "Wait until active tasks have completed",
    'RM11087': "Immediately",
    'BR11088': "Passwords do not match",
    'RM11089': "Are you sure you want to enable or disable the Ethernet interface? After you update the Ethernet interface, you must run the <b>clear-all</b> and <b>device restart</b> commands in the command line interface.  If you do not run these commands,  you might not be able to access the user interface.",
    'RM11090': "Updates to the Ethernet interfaces are not permitted for an appliance in a collective.",
    'RM11091': "Click to edit", 
    'RM11092': "Delete",
    'RM11093': "None provided", 
    'RM11094': "Add Host name or IP address", 
    'RM11095': "Host name or IP address already entered",
    'RM11096': "Add host or catalog service domain names",
    'RM11097': "Host or domain name already entered",
    'RM11098': "The host name you entered is not valid",
    'RM11099': "The IP address you entered is not valid",
    'RM11100': "IPv6 addresses must be in colon-delimited hexadecimal notation.",    
    'RM11101': "Add host names",
    'RM11102': "Host name already entered",
    'RM11103': "The catalog service domain name you entered is not valid.",
    'RM11104': "Add catalog service domain names",
    'RM11105': "The catalog service domain name was already entered",
    'RM11106': "Do not show this message again",
    'RM11107': "OK",
    'RM11108': "Add Ethernet interface",
    'RM11109': "The Ethernet interface name you entered is not valid.",
    'RM11110': "The Ethernet interface name was already entered.",
    'RM11111': "An aggregate interface must have at least one member.",
    'RM11112': "Enter a valid IP address and mask for the aggregate. The mask must be in the following format: &lt;IP address&gt;/&lt;mask&gt;. IPv4 and IPv6 address formats are supported.",
    'RM11113': "Select an aggregation policy. Choose the active-backup policy for high availability. With this policy, only one Ethernet interface (as a member of an aggregate interface) is enabled at a time. If that Ethernet interface fails, another member takes over. Choose the Link Aggregation Control Protocol (LACP) policy for both high availability and bandwidth. You can use the LACP policy only when its mode is not set to 'OFF'. Choose the balance-tlb policy for load balancing and high availability. This policy distributes outbound traffic according to the current load of each member. Inbound traffic always flows over to the Ethernet interface that is selected as the primary member. If the receiving Ethernet interface fails, another member takes over.",
    'RM11114': "Enabling Ethernet interfaces is not permitted for interfaces that are members of an aggregate interface.",
    'RM11115': "Selection logic determines how an Ethernet interface is selected as a member of an enabled aggregate interface. Choose the stable setting to select the Ethernet interface with the largest bandwidth. When you choose the stable setting, the Ethernet interface is selected again when an enabled aggregate interface has no members available. The stable setting is the default.  Choose the bandwidth setting to select the Ethernet interface with the largest bandwidth. This Ethernet interface is selected again when another member is either added or removed or the aggregate interface is enabled or disabled.  Choose the count setting to select the aggregate interface with the largest number of Ethernet interfaces as members.",
    'RM11116': "Select the transmit hash policy to use for member selection. Choose layer2 to use the exclusive OR (XOR) result of MAC addresses to generate a hash. The layer2 value is the default. Choose layer2+3 to use the XOR result of MAC addresses and IP addresses to generate a hash. Choose layer3+4 to use XOR result of IP addresses and port numbers to generate a hash.",
    'RM11117': "The primary member will be the current active member whenever it is available.",
    'RM11118': "Primary member",
    'RM11119': "You entered an invalid host name or IP address",
	'RM11120': "1 gigabit Ethernet modules and 10 gigabit Ethernet modules can not be enabled at the same time."
};
