/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/
dojo.provide('javascript.widgets.ApplicationListView');

dojo.require('javascript.widgets.FormDialog');
dojo.require('xsa.collective.widgets.dashboard.ConfirmDialog');
dojo.require('javascript.widgets.ListView');

dojo.declare('javascript.widgets.ApplicationListView', javascript.widgets.ListView, {   

    _createAddIcon: function(parentDiv) {
        var addDiv = document.createElement('div');
        dojo.addClass(addDiv, 'dashboard-list-add-resource');
        parentDiv.appendChild(addDiv);
        
        var link = document.createElement('a');
		link.setAttribute('href', 'javascript:void(0);');
        
		link.onclick = dojo.hitch(this, this.createResource);
        
        addDiv.appendChild(link);
        
        var icon = document.createElement('img');
		icon.setAttribute('src', '/images/add-icon.gif');
		icon.setAttribute('alt', app_messages['new']);
		icon.setAttribute('title', app_messages['new']);
		dojo.addClass(icon, 'icon-image');
        link.appendChild(icon);
    },
    
    //
    // createResource() pops up a dialog that allows users to create a new resource, one with 
    // the same type as objects currently shown in the list.
    //
    createResource: function() {
        if (document.dialog)
            return;

        try {
	        var type = this._getResourceType();
    	    var callback = dojo.hitch(this, this._createSuccessful, type);
        	var dialog = new javascript.widgets.FormDialog('create-dialog', type.create.text, type.uri, type.create.fields, callback, 'POST', type.create.jsonBuilder);
	        dialog.show();
        }
        catch ( e ) {
           console.log(e);
        }    
    },    
    
    _createSuccessful: function(createType, response) {
    	console.log("createSuccessful", response);
   		var taskId = response.taskId;
        var type = this._getResourceType();
       	var dialog = new xsa.collective.widgets.dashboard.ConfirmDialog('tasks-dialog', type.create.task, taskId);
        dialog.show();
    	this.inherited(arguments);
    },
    
    updated: function() {
    	//this.inherited(arguments);
    	// enable the warning action....
    	Bedrock.show(dojo.byId('action-update-warning-id'));
    },
    
    constructor: function(parent, defaults) {
    }
    
});
