/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

dojo.provide("xsa.datacaches.base.widgets.dashboard.BaseDataCacheDetailView");

dojo.require('javascript.widgets.TaskDetailView');
dojo.require('javascript.widgets.ModalDialog');
dojo.require('xsa.datacaches.base.widgets.dashboard.DataCacheViewConfirmDialog');

dojo.declare('xsa.datacaches.base.widgets.dashboard.BaseDataCacheDetailView', javascript.widgets.TaskDetailView, {   
    
    downloadResource: function(uri, id) {
		console.log("BaseDataCacheDetailView.downloadResource arguments", arguments);
		console.log("BaseDataCacheDetailView.downloadResource this", this);

		var fileDownloadUrl = uri + "/" + id + "?accept=application/rainmaker+file+xml";
		var frame = window.frames['IFrame-FileDownload']; 
		frame.location=fileDownloadUrl;
    },
    clearResource: function (uri, id, cacheName){
    	console.log("BaseDataCacheDetailView.clearResource arguments", arguments);
		if (document.dialog) {
            return;
        }
        var submitHandler = dojo.hitch(this, this._clearResourceRequest, cacheName);
        this.dialog = new javascript.widgets.ModalDialog('modal-dialog', this.confirmText, submitHandler);
        this.dialog.show();
    },
    _clearResourceRequest: function(cacheName){
		console.log("BaseDataCacheDetailView._clearResourceRequest arguments", arguments);
		var scope = this;
		dojo.xhrDelete({
		    url: '/resources/datacaches/' + cacheName,
		    handle : dojo.hitch(scope, scope._showRedirectDialog, cacheName)
         });
    },
    _showRedirectDialog: function (cacheName){
    	console.log("BaseDataCacheDetailView._showRedirectDialog arguments", arguments);
    																					   
    	this.dialog = new xsa.datacaches.base.widgets.dashboard.DataCacheViewConfirmDialog('datacache-dialog', this.clearCacheText, cacheName);
    	this.dialog.show();
    },    
    constructor: function(parent, defaults) {
		console.log("BaseDataCacheDetailView.constructor arguments", arguments);
    
    	this.clearCacheText = defaults.clearCacheText;
    	this.confirmText = defaults.confirmText;
	
        this.fileDownload = document.createElement('iframe');
		
		dojo.attr(this.fileDownload, {
                 'id': 'IFrame-FileDownload', 
                 'name': 'IFrame-FileDownload', 
                 'style': 'width:0px; height:0px; border:1px',
                 'role': 'presentation'
        });
        Bedrock.hide(this.fileDownload);		
        var parentDOM = parent.element || parent;
        parentDOM.appendChild(this.fileDownload);
    }
    
});
