/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/
//
//
dojo.provide("xsa.monitor.widgets.dashboard.GridDrillDown");
dojo.require('dojox.widget.AnalogGauge');
dojo.require('dojox.widget.gauge.AnalogArcIndicator');
dojo.require('dojox.widget.gauge.AnalogNeedleIndicator');
dojo.require('dojox.widget.gauge.AnalogArrowIndicator');
dojo.require('dojo.parser');

dojo.declare("xsa.monitor.widgets.dashboard.GridDrillDown", [dijit._Widget,dijit._Templated], {   
    
    templatePath: dojo.moduleUrl("xsa","monitor/widgets/dashboard/templates/GridDrillDown.html"),
	widgetsInTemplate: true,
	gauge : false,
	
	getDrillDown: function (selectedRow){
		console.debug('GridDrillDown getDrillDown', arguments);
		
		this.mapName.innerHTML = (selectedRow['mapNameS'])?selectedRow['mapNameS']: 'not available';
		this.numEntries.innerHTML = (selectedRow['numEntriesS'])?selectedRow['numEntriesS']: 'not available';
		this.minEntries.innerHTML = (selectedRow['minNumEntriesS'])?selectedRow['minNumEntriesS']: 'not available';
		this.maxEntries.innerHTML = (selectedRow['maxNumEntriesS'])?selectedRow['maxNumEntriesS']: 'not available';
		
		var hitRateValue  = (selectedRow['hitRateS'])?selectedRow['hitRateS']: '0';

		var ranges1 = [
					{low:0, high:35, hover:'0 - 35'},
				   	{low:35, high:70, hover:'35 - 70'},
				   	{low:70, high:100, hover:'70 - 100'}
				 ];

		var hitRateWidgetDiv = document.createElement('div'); 
		var tmpGauge = new dojox.widget.AnalogGauge({
			width: 350,
			height: 200,
			cx: 175,
			cy: 175,
			radius: 125,
			ranges: ranges1,
			background : {color: '#FFFFFF'},
			minorTicks: {
				offset: 125,
				interval: 2.5,
				length: 5,
				color: 'gray'
			},
			majorTicks: {
				offset: 125,
				interval: 5,
				length: 10
			},
			indicators: [
				new dojox.widget.gauge.AnalogArrowIndicator({
					value: hitRateValue, 
					width: 3,
					hover:'Value: '+ hitRateValue
				})
			]
		}, hitRateWidgetDiv);

		if(this.gauge){
			//dojo.destroy(this.gauge.domNode);
			this.hitRateDiv.removeChild(this.gauge.domNode);
		}
		tmpGauge.startup();
		this.hitRateDiv.appendChild(tmpGauge.domNode);
		this.gauge = tmpGauge;
		this.hitRateTitle.innerHTML= 'Hit Ratio:';

		console.log('GridDrilDown.getDrillDown()returning drillDownDiv', this.drillDownDiv);
		
		return this.drillDownDiv;
	}
}
);	
    