/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/
//
//
dojo.provide("xsa.monitor.widgets.dashboard.SystemDrillDown");

dojo.require("dojox.widget.gauge.BarIndicator");
dojo.require("dojox.widget.BarGauge");
dojo.require('dojo.parser');


dojo.declare("xsa.monitor.widgets.dashboard.SystemDrillDown", [dijit._Widget,dijit._Templated], {   
    
    templatePath: dojo.moduleUrl("xsa","monitor/widgets/dashboard/templates/SystemDrillDown.html"),
	widgetsInTemplate: true,
	gauge : false,
	indicator : false,
	
	getDrillDown: function (selectedRow){
		console.debug('SystemDrillDown getDrillDown', arguments);
		this.jvmName.innerHTML = (selectedRow['jvmNameS'])?selectedRow['jvmNameS']: 'not available';
		this.freeMem.innerHTML = (selectedRow['freeMemS'])?selectedRow['freeMemS']: 'not available';
		this.totalMem.innerHTML = (selectedRow['freeMemS'])?selectedRow['totalMemS']: 'not available';
		this.maxMem.innerHTML = (selectedRow['maxMemS'])?selectedRow['maxMemS']: 'not available';
		this.availProcs.innerHTML = (selectedRow['availProcsS'])?selectedRow['availProcsS']: 'not available';
		
		var freeMem  =  (selectedRow['freeMemS'])?selectedRow['freeMemS']: 0;
		
		var totalMem = (selectedRow['totalMemS'])?selectedRow['totalMemS']: 0; 

		var ranges1 = [
					{low:0, high:200, hover:'0 - 200'},
				   	{low:200, high:400, hover:'200 - 400'},
				   	{low:400, high:600, hover:'400 - 600'}
				 ];

		var memoryUsageWidgetDiv = document.createElement('div');
		var tmpGauge = new dojox.widget.BarGauge({
			width: 300,
			background : {color: '#FFFFFF'},
			height: 55,
			dataHeight: 25,
			dataWidth: 275,
			dataY: 25,
			dataX: 10,
			ranges: ranges1,
			majorTicks: {
				length: 5,
				width: 1,
				offset: -5,
				interval: 100
			},
			indicators: [
				new dojox.widget.gauge.BarIndicator({
					value: freeMem,
					width: 7,
					hover:'Value: ' + freeMem ,
					color:'#D00000'
				})
			]
			
		}, memoryUsageWidgetDiv);
		
		
		if(this.gauge){
			//dojo.destroy(this.gauge.domNode);
			this.memoryUsageDiv.removeChild(this.gauge.domNode);
		}
		this.memoryUsageDiv.appendChild(tmpGauge.domNode);
		
		tmpGauge.startup();
		this.gauge = tmpGauge;

		this.memoryUsageTitle.innerHTML= 'Memory Usage:';
				
		return this.drillDownDiv;
	}
}	
);	
    