package groovy.xsa.users;

import com.ibm.websphere.rainmaker.logging.MessageUtils;
import com.ibm.websphere.rainmaker.logging.CleanStackTrace;
import com.ibm.websphere.rainmaker.auditing.AuditDataHelper;
import com.ibm.websphere.users.Permissions;
import com.ibm.ws.xsa.security.og.AdminCredential;

def createAdminIdentityUser()
{
    def lang = MessageUtils.getLanguageFromLocale(Locale.getDefault());
    
    def user = [
        username: AdminCredential.ADMIN_IDENTITY, 
        name: AdminCredential.ADMIN_IDENTITY, 
        email: '',
        systemuser : true
    ];
       
        try 
        {
            createUser(user, false, zero.core.security.encryption.SecretKeyGenerator.generateSecretKey());
        }
        
        catch (Throwable t) 
        {
            //
            // this is expected because the SMTP server 
            // is not configured yet
            //
            logger.FINE { CleanStackTrace.cleanStackTrace(t) };
        }
        
        logger.INFO { "user created ${user}" }
        
        addUserRole(user.id, Permissions.SUPER_USER);
        addUserRole(user.id, Permissions.APPLIANCE_ADMIN);
        // do not add this role since it is done automatically for 
        // all users via the CreateRolesHandler for user-created event
        //addUserRole(user.id, Permissions.APPLIANCE_MONITOR);
        addUserRole(user.id, Permissions.APPLIANCE_SECURITY);
        addUserRole(user.id, Permissions.GRID_CREATE);
}