@echo off
REM
REM * ============================================================================
REM * Licensed Materials - Property of IBM
REM *  WebSphere sMash
REM *
REM * (C) Copyright IBM Corp. 2007  All Rights Reserved.
REM *
REM * US Government Users Restricted Rights - Use, duplication or disclosure
REM * restricted by GSA ADP Schedule Contract with IBM Corp.
REM * ============================================================================
REM
@setlocal
@SetLocal EnableDelayedExpansion
rem proxy support - uncomment the following line and update values to add proxy settings
rem set ZERO_OPTS=%ZERO_OPTS% -Dhttp.proxyHost=myProxyHost -Dhttp.proxyPort=myProxyPort -Dhttps.proxyHost=myProxyHost -Dhttps.proxyPort=myProxyPort
rem
rem remote debugging - uncomment the following line to enable remote debugging support
rem set ZERO_OPTS=%ZERO_OPTS% -Xdebug -agentlib:jdwp=transport=dt_socket,server=y,address=8000

set EXIT_CODE=0

set DEBUG=
rem set DEBUG=on

REM JAVACMD setting below will be replaced by installer
REM set JAVACMD=
set ZERO_HOME=%~dp0.
set _JAVACMD=%JAVACMD%

if not "%_JAVACMD%" == "" goto runCommand
set _JAVA_HOME=%JAVA_HOME%
call :DE_QUOTE _JAVA_HOME
call :DEBUG_ECHO "JAVA_HOME is %_JAVA_HOME%"
if "%_JAVA_HOME%" == "" goto noJavaHome
if not exist "%_JAVA_HOME%\jre\bin\java.exe" goto noJavaHome
call :DEBUG_ECHO "The java command was found using JAVA_HOME"
set _JAVACMD=%_JAVA_HOME%\jre\bin\java.exe
rem make sure JAVA_HOME\bin is in the path
set PATH=%_JAVA_HOME%\jre\bin;%PATH%
call :DEBUG_ECHO "The java path is %PATH%"
goto runCommand

:noJavaHome
rem use the java from the path
call :DEBUG_ECHO "The java command was found using PATH"
if "%_JAVACMD%" == "" set _JAVACMD=java.exe

:runCommand
call :DEBUG_ECHO "The java command is %_JAVACMD%"

set RESOLVE_CLI=

call :DEBUG_ECHO "start of zero script"

call :DEBUG_ECHO "ZERO_OPTS is %ZERO_OPTS%"

rem try to find the ivy.xml for the root of the application
set APP_HOME=

pushd %CD%
call :WALK_PARENT
popd

call :DEBUG_ECHO "app home is %APP_HOME%"

set CLI_CLASSPATH=%ZERO_HOME%\lib\bootstrap\bootstrap.jar

set ZRP=%ZERO_HOME%\.zero\private\resolved.properties
set ZRH=%ZERO_HOME%\.zero\shared\resolve.history

call :DEBUG_ECHO "zrp is %ZRP%"
call :DEBUG_ECHO "zrh is %ZRH%"

rem if resolved properties or resolve.history does not exst, then get zero.cli.tasks
call :BOOTSTRAP %*
if errorlevel 1 (
   echo initializing the cli failed
   set EXIT_CODE=1
   goto end
)

rem check to see that the dependencies are in the repository
call :CHECK_DEPENDENCIES "%ZRP%"
if not errorlevel 1 goto check_script

rem force an update by removing .zrp
del "%ZRP%"
call :BOOTSTRAP %*
if errorlevel 1 (
   echo initializing the cli failed
   set EXIT_CODE=1
   goto end
)

call :CHECK_DEPENDENCIES "%ZRP%"
if errorlevel 1 (
   echo the required dependencies could not be found in repository
   set EXIT_CODE=1
   goto end
)

:check_script

rem now get the SCRIPT_HOME so the bat file can be invoked
set SCRIPT_HOME=
if "%APP_HOME%" == "" goto zrp_script
set APP_ZRP=%APP_HOME%\.zero\private\resolved.properties
if not exist "%APP_ZRP%" goto zrp_script

call :CHECK_DEPENDENCIES "%APP_ZRP%"
if errorlevel 1 goto zrp_script

for /F "usebackq eol=; tokens=1,2* delims==" %%i in ("%APP_ZRP%") do if %%i == zero.cli.tasks ( set SCRIPT_HOME=%%j\.)

:zrp_script
if not "%SCRIPT_HOME%" == "" goto check_scripthome_set
for /F "usebackq eol=; tokens=1,2* delims==" %%i in ("%ZRP%") do if %%i == zero.cli.tasks ( set SCRIPT_HOME=%%j\.)

:check_scripthome_set
if not "%SCRIPT_HOME%" == "" goto fix_script_path
echo The zero.cli.tasks could not be found be found in repository
set EXIT_CODE=1
goto end

:fix_script_path:
set SCRIPT_HOME=%SCRIPT_HOME:\:=:%
set SCRIPT_HOME=%SCRIPT_HOME:\\=\%

if exist "%SCRIPT_HOME%\zero.bat" goto call_script
echo could not find "%SCRIPT_HOME%\zero.bat"
set EXIT_CODE=1
goto end

:call_script

call :DEBUG_ECHO "call zero.cli.tasks script %SCRIPT_HOME%\zero.bat"
call "%SCRIPT_HOME%\zero.bat" %* 
set EXIT_CODE=%ERRORLEVEL%
goto end

rem call the zero.cli.Main to bootstrap the cli
:BOOTSTRAP
set BOOTSTRAP_ERROR=0
if exist "%ZRP%" (
 if exist "%ZRH%" (
    goto bootstrap_done
  )
)
set RESOLVE_CLI="true"

:update_cli
call :DEBUG_ECHO "updating the cli"
"%_JAVACMD%" %ZERO_OPTS% -classpath "%CLI_CLASSPATH%" "-Dzerohome=%ZERO_HOME%" zero.cli.Main %*
if errorlevel 1 set BOOTSTRAP_ERROR=1  
if not exist "%ZRP%" set BOOTSTRAP_ERROR=1
:bootstrap_done
exit /b %BOOTSTRAP_ERROR%
rem end of bootstrap

rem check to see if the required dependency can be found
:CHECK_DEPENDENCIES
set CHECK_DEPENDENCIES_ERROR=0
call :CHECK_DEPENDENCY %1 "zero.cli.tasks"
if errorlevel 1 set CHECK_DEPENDENCIES_ERROR=1
call :CHECK_DEPENDENCY %1 "zero.kernel"
if errorlevel 1 set CHECK_DEPENDENCIES_ERROR=1

exit /b %CHECK_DEPENDENCIES_ERROR%
rem end of check_dependencies

rem check the passed in dependency
:CHECK_DEPENDENCY
set DEP=
set CHECK_DEPENDENCY_ERROR=0
for /F "usebackq eol=; tokens=1,2* delims==" %%i in (%1) do if "%%i" == %2 ( set DEP=%%j\.)
   
if not "%DEP%" == "" goto dep_fix_path
call :DEBUG_ECHO "The %2 dependency was not found in resolved properties"
set CHECK_DEPENDENCY_ERROR=1
goto dep_check_done

:dep_fix_path
set DEP=%DEP:\:=:%
set DEP=%DEP:\\=\%
if exist "%DEP%" goto dep_check_done
call :DEBUG_ECHO "The %2 dependency does not exist at location %DEP%"
set CHECK_DEPENDENCY_ERROR=1

:dep_check_done
exit /b %CHECK_DEPENDENCY_ERROR%
rem end of check_dependency

rem walk parent dirs looking for config\ivy.xml
:WALK_PARENT
set WALK_PARENT_EXIT_CODE=0
:walk_parent_walk_up
set CURRENT=%CD%
cd ..
call :DEBUG_ECHO "current is %CURRENT%"
if not exist "%CURRENT%\config\ivy.xml" goto walk_parent_continue
set APP_HOME=%CURRENT%
rem app home can't be root
if "%CD%" == "%CURRENT%" set APP_HOME=
goto walk_parent_done
:walk_parent_continue
rem if we end up where we started we are done, this is root
if "%CD%" == "%CURRENT%" goto walk_parent_done
goto walk_parent_walk_up
:walk_parent_done
exit /b %WALK_PARENT_EXIT_CODE%
rem end of walk_parent

rem debug echo
:DEBUG_ECHO
if not "%DEBUG%" == "" echo %1 1>&2
exit /b 0
rem end of debug echo

rem dequote
:DE_QUOTE
set _DeQuoteVar=%1
call set _DeQuoteString=%%!_DeQuoteVar!%%
if [!_DeQuoteString:~0^,1!]==[^"] (
   if [!_DeQuoteString:~-1!]==[^"] (
      set _DeQuoteString=!_DeQuoteString:~1,-1!
   ) else goto :DeQuoteExit
) else goto :DeQuoteExit
set !_DeQuoteVar!=!_DeQuoteString!
set _DeQuoteVar=
set _DeQuoteString=
:DeQuoteExit      
exit /b 0
rem end of deQuote

:end
if "%ZERO_EXIT_CMD%" == "true" exit %EXIT_CODE%
exit /b %EXIT_CODE%
@endlocal